#!/bin/bash
#
#  ESMSystemManagementService Reset Tool
#    esmreset.sh Version: 1.00 (2021/06/15)
#

REGNAME="/opt/nec/esmpro_sa/registry/HKEY_LOCAL_MACHINE/SYSTEM/CURRENTCONTROLSET/SERVICES/ESMSYSTEMMANAGEMENTSERVICE/PARAMETERS/V_IPMISUPPORT"

if [ -f "/usr/bin/systemctl" ] && [ -f "/usr/lib/systemd/system/ESMsmsrv.service" ] ; then
    /bin/echo "Stopping ESMsmsrv service..."
    /usr/bin/systemctl stop ESMsmsrv.service > /dev/null

    /bin/echo "File settings"
    if [ -f "${REGNAME}" ] ; then
        /bin/cp -af "${REGNAME}" "${REGNAME}.bak" 1 >/dev/null 2>&1
        /bin/echo -ne "\x04\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00" > "${REGNAME}" 
        if [ $? -ne 0 ] ; then
            /bin/mv -f "${REGNAME}.bak" "${REGNAME}" 1 >/dev/null 2>&1
            /bin/echo "File setting failed."
        else
            /bin/rm -f "${REGXHM}.bak" 1 >/dev/null 2>&1
        fi
    fi

    /bin/echo "Starting ESMsmsrv service..."
    /usr/bin/systemctl start ESMsmsrv.service > /dev/null
fi






